## visad.data.hdfeos
Class LambertAzimuthalEqualArea

    java.lang.Object
      visad.CoordinateSystem
          visad.data.hdfeos.LambertAzimuthalEqualArea

All Implemented Interfaces:
  Serializable

public class LambertAzimuthalEqualArea
extends CoordinateSystem

LambertAzimuthalEqualArea is the VisAD class for coordinate systems for ( X_map, Y_map ).

See Also:
  Serialized Form

Field Summary
`(package private) double` `cos_lat_o`
`(package private) double` `false_easting`
`(package private) double` `false_northing`
`(package private) double` `lat_center`
`(package private) double` `lon_center`
`(package private) double` `R`
`(package private) Unit[]` `reference_units`
`(package private) double` `sin_lat_o`

Constructor Summary
`LambertAzimuthalEqualArea(RealTupleType reference, double lon_center, double lat_center)`
`LambertAzimuthalEqualArea(RealTupleType reference, double R, double lon_center, double lat_center, double false_easting, double false_northing)`

Method Summary
`boolean` `equals(Object cs)` Indicates whether or not this instance is equal to an object (note must test for cs == null).
`double[][]` `fromReference(double[][] tuples)` Convert RealTuple values from Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.
`static void` `main(String[] args)`
`double[][]` `toReference(double[][] tuples)` Convert RealTuple values to Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.

Methods inherited from class visad.CoordinateSystem
`canConvert, fromReference, fromReference, fromReference, getCoordinateSystemUnits, getDimension, getReference, getReferenceUnits, toReference, toReference, toReference, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinatesFreeUnits, transformCoordinatesFreeUnits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### R

    double R

### lon_center

    double lon_center

### lat_center

    double lat_center

### false_easting

    double false_easting

### false_northing

    double false_northing

### sin_lat_o

    double sin_lat_o

### cos_lat_o

    double cos_lat_o

### reference_units

    Unit[] reference_units

Constructor Detail

### LambertAzimuthalEqualArea

    public LambertAzimuthalEqualArea(RealTupleType reference,
                                     double lon_center,
                                     double lat_center)
                              throws VisADException

### LambertAzimuthalEqualArea

    public LambertAzimuthalEqualArea(RealTupleType reference,
                                     double R,
                                     double lon_center,
                                     double lat_center,
                                     double false_easting,
                                     double false_northing)
                              throws VisADException

Method Detail

### toReference

    public double[][] toReference(double[][] tuples)
                           throws VisADException

  Description copied from class: `CoordinateSystem`
  Convert RealTuple values to Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.

  Specified by:
    `toReference` in class `CoordinateSystem`
  Parameters:
    `tuples` - array of values assumed to be in coordinateSystem units. Input array is not guaranteed to be immutable and could be used for return.
  Returns:
    array of double values in reference coordinates and Units.
  Throws:
    `VisADException` - if problem with conversion.

### fromReference

    public double[][] fromReference(double[][] tuples)
                             throws VisADException

  Description copied from class: `CoordinateSystem`
  Convert RealTuple values from Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.

  Specified by:
    `fromReference` in class `CoordinateSystem`
  Parameters:
    `tuples` - array of values assumed to be in reference Units. Input array is not guaranteed to be immutable and could be used for return.
  Returns:
    array of double values in CoordinateSystem Units.
  Throws:
    `VisADException` - if problem with conversion.

### equals

    public boolean equals(Object cs)

  Description copied from class: `CoordinateSystem`
  Indicates whether or not this instance is equal to an object (note must test for cs == null).

  Specified by:
    `equals` in class `CoordinateSystem`
  Parameters:
    `cs` - the object in question.
  Returns:
    `true` if and only if this instance equals cs.

### main

    public static void main(String[] args)
                     throws VisADException

  Throws:
    `VisADException`